View Issue Details

IDProjectCategoryView StatusLast Update
1193RackTablesSNMPpublic2019-02-20 01:27
Reporter_KaszpiR_Assigned Toadoom42 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.6 
Target Version0.21.2Fixed in Version0.21.2 
Summary1193: SNMP support for HP V1910-48G Switch JE009A stackable
DescriptionUnknown OID when trying to snmpwalk over the device.

Product description
http://www8.hp.com/uk/en/products/networking-switches/product-detail.html?oid=4177649#!tab=features

48 port switch,
It has additional 4 ports for stacking and upper port for console.

Attached extra snmp walk output.
Steps To Reproduce
snmpwalk -v 1 -c public 10.12.1.254 sysDescr.0
SNMPv2-MIB::sysDescr.0 = STRING: HP V1910-48G Switch Software Version 5.20 Release 1111P02
Copyright (c) 2004-2012 Hewlett-Packard Development Company, L.P.


snmpwalk -v 1 -c public 10.12.1.254 sysObjectID.0
SNMPv2-MIB::sysObjectID.0 = OID: SNMPv2-SMI::enterprises.25506.11.1.85
Tagsstackable

Relationships

related to 1601 closedadoom42 Add SNMP support for HP 1910 

Activities

_KaszpiR_

_KaszpiR_

2014-03-11 09:26

reporter  

JE009A.tar.gz (11,197 bytes)
peter.hansen

peter.hansen

2014-04-02 19:58

reporter  

patch-v1910-48g.patch (1,359 bytes)
diff --git a/wwwroot/inc/dictionary.php b/wwwroot/inc/dictionary.php
index 91381d6..ada1fd1 100644
--- a/wwwroot/inc/dictionary.php
+++ b/wwwroot/inc/dictionary.php
@@ -2230,6 +2230,7 @@ $dictionary = array
        2142 => array ('chapter_id' => 14, 'dict_value' => 'Cisco IOS 15.2'),
        2143 => array ('chapter_id' => 13, 'dict_value' => 'Red Hat Enterprise%GSKIP%RHEL V7'),
        2144 => array ('chapter_id' => 38, 'dict_value' => 'Cisco%GPASS%Wireless Controller'),
+       2145 => array ('chapter_id' => 12, 'dict_value' => 'HP V1910-48G'),

 # Any new "default" dictionary records must go above this line (i.e., with
 # dict_key code less, than 50000). This is necessary to keep AUTO_INCREMENT
diff --git a/wwwroot/inc/snmp.php b/wwwroot/inc/snmp.php
index dbe5d3c..85bfefa 100644
--- a/wwwroot/inc/snmp.php
+++ b/wwwroot/inc/snmp.php
@@ -3099,6 +3099,13 @@ $known_switches = array // key is system OID w/o "enterprises" prefix
                'text' => 'DCS-7124S: 24 SFP+/10000',
                'processors' => array ('arista-any-SFP+', 'arista-management'),
        ),
+       '25506.11.1.85' => array
+       (
+               'dict_key' => 2145,
+               'text' => 'HP V1910-48G Switch',
+               'processors' => array ('3com-49-to-50-1000SFP', '3com-51-to-52-1000SFP', '3com-any-1000T'),
+
+       )
 );

 global $swtype_pcre;
patch-v1910-48g.patch (1,359 bytes)
peter.hansen

peter.hansen

2014-04-02 19:59

reporter   ~0002245

Find a patch for the v1910-48g switch attached. My git revision was c56c49d8a2f4198d5bc2ded3458c1f1ac2cbd8f5.
_KaszpiR_

_KaszpiR_

2014-04-02 21:15

reporter   ~0002247

Last edited: 2014-04-02 21:16

View 2 revisions

Works. Had to apply patch manually, the current git revision already has records in dictionary with id over 2147.
SNMP v1 synchronizes also MAC addresses on ports and detects virtual ports (for example virtual for management port), but SNMP v2c does not receive mac addres list nor management ports.

Otherwise after some test I have found that racktables-contribs/snmpgeneric.php also works, and can get even more info (like VLANS), yet it fails in detecting SFP ports and has nasty feature of overwriting port names to very long names.
https://github.com/RackTables/racktables-contribs/blob/master/snmpgeneric.php

infrastation

infrastation

2019-02-20 01:27

administrator   ~0003905

This has been done the way Peter Hansen proposed in his patch.

Related Changesets

RackTables: master 7a98590a

2019-02-20 01:18:07

infrastation

Details Diff
fixup the previous commit

[skip ci]
Affected Issues
1193
mod - wwwroot/inc/dictionary.php Diff File
mod - wwwroot/inc/snmp.php Diff File

Issue History

Date Modified Username Field Change
2014-03-11 09:26 _KaszpiR_ New Issue
2014-03-11 09:26 _KaszpiR_ Status new => assigned
2014-03-11 09:26 _KaszpiR_ Assigned To => adoom42
2014-03-11 09:26 _KaszpiR_ File Added: JE009A.tar.gz
2014-03-11 15:29 adoom42 Tag Attached: stackable
2014-04-02 19:58 peter.hansen File Added: patch-v1910-48g.patch
2014-04-02 19:59 peter.hansen Note Added: 0002245
2014-04-02 21:15 _KaszpiR_ Note Added: 0002247
2014-04-02 21:16 _KaszpiR_ Note Edited: 0002247 View Revisions
2016-03-20 18:36 adoom42 Relationship added related to 1601
2019-02-20 01:24 infrastation Changeset attached => RackTables master 7a98590a
2019-02-20 01:27 infrastation Status assigned => closed
2019-02-20 01:27 infrastation Resolution open => fixed
2019-02-20 01:27 infrastation Fixed in Version => 0.21.2
2019-02-20 01:27 infrastation Target Version => 0.21.2
2019-02-20 01:27 infrastation Steps to Reproduce Updated View Revisions
2019-02-20 01:27 infrastation Note Added: 0003905